Subject: bug#20867: 24.5; Change behavior of `batch-byte-compile' for directory arguments

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 23:17:35 +0200

Philipp Stephani <[email-masked]> writes:

> The behavior of `batch-byte-compile' differs between file name and
> directory arguments: For file name arguments, compilation happens if
> NOFORCE is not set, if the destination file doesn't exist, or if it is
> older than the source file.  For directories, however, compilations
> happens if the destination file already exists *and* it is older than
> the source file; NOFORCE is ignored.  This behavior is not documented,
> and I find it quite unintuitive.  Please change the behavior for
> directories to match the behavior for files.

Yes, that's pretty odd behaviour, but I don't think it makes sense to
change it now -- it's been like this for decades.

Instead I've now just explained what it does in the doc string in Emacs
27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no